
#pragma warning (disable: 4819) 

/**
* @headerfile			tcua 头文件
*/
#include <tc/tc.h>
#include <tccore/custom.h>
#include <server_exits/user_server_exits.h>
#include "error_handling.h"
#include "epm_register_handler.h"
#include "epm_handler_common.h"


#ifdef __cplusplus
extern "C" {
#endif


	/**
	* @fn					extern "C" DLLAPI int liborigin_register_callbacks
	* @return				usually return ITK_ok
	* @brief				liborigin customization entry
	* 此函数必须有规范的写法，必须以dll的名称加上"_"开头
	*/
	DLLAPI int JK_itk_register_callbacks()
	{
		int ifail = ITK_ok;
		TC_write_syslog("*******************************************************************************\n");
		TC_write_syslog("*           JK_itk register_callbacks  is starting                  *\n");
		TC_write_syslog("*******************************************************************************\n");


		ITKCALL( ifail = CUSTOM_register_exit( "JK_itk", "USERSERVICE_register_methods",
		(CUSTOM_EXIT_ftn_t)USERSERVICE_custom_register_methods) );
		fprintf( stdout, "\n JK_itk	registering USERSERVICE_custom_register_methods completed!\n" );

		 
		ITKCALL(ifail = CUSTOM_register_exit( "JK_itk", "USER_init_module",
		(CUSTOM_EXIT_ftn_t)USERSERVICE_custom_register_runtime_methods) );
	
		 Register_revise_msg();
		//Run_Time_register_properties();
		ITKCALL( ifail = CUSTOM_register_exit("JK_itk","USER_gs_shell_init_module",
		(CUSTOM_EXIT_ftn_t)USERSERVICE_custom_register_handlers) );
		fprintf( stdout, "\n JK_itk	registering USERSERVICE_custom_register_handlers completed!\n" );
	

		return ifail;
	}

#ifdef __cplusplus
}
#endif